Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.dynamics
Class EModel.VariableFilter

    java.lang.Object
      biouml.model.dynamics.EModel.VariableFilter

All Implemented Interfaces:
  Filter

Enclosing class:
  EModel

public static class EModel.VariableFilter
extends java.lang.Object
implements Filter

Nested Class Summary

Nested classes inherited from class ru.biosoft.access.Filter
`Filter.IncludeAllFilter, Filter.IncludeNoneFilter`

Field Summary

Fields inherited from interface ru.biosoft.access.Filter
`INCLUDE_ALL_FILTER, INCLUDE_NONE_FILTER`

Constructor Summary
`EModel.VariableFilter(boolean isVariableRole)`

Method Summary
`boolean` | `isAcceptable(DataElement de)` Return is data element accepted by filter.
`boolean` | `isEnabled()` Indicates whether a filter should be used.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EModel.VariableFilter

    public EModel.VariableFilter(boolean isVariableRole)

Method Detail

### isEnabled

    public boolean isEnabled()

  Description copied from interface: `Filter`
  Indicates whether a filter should be used.

  Specified by:
    `isEnabled` in interface `Filter`

### isAcceptable

    public boolean isAcceptable(DataElement de)

  Description copied from interface: `Filter`
  Return is data element accepted by filter.

  Specified by:
    `isAcceptable` in interface `Filter`
  Parameters:
    `de` - Data element.
  Returns:
    `true` - if filter accept specified data element, `false` otherwise.
  See Also:
    `DataElement`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.